#include <iostream>

import com.threedbb.ulog;

#define LDEBUG LDebug()
#define LINFO LInfo()
#define LWARN LWarn()
#define LERROR LError()

int main() {
    LINFO << "start";
    try {
        LDEBUG << "hello\nworld\n";
        LINFO << "try";
        LWARN << "about to throw";
        LTHROW("throw fit");
    } catch (std::exception &e) {
        std::cout << e.what() << "\n";
        LERROR << "caught an error";
    }
    LINFO << "end\n";
    return 0;
}